Home

# Class goog.crypt.Hmac

extends goog.crypt.Hash

Instance Method Summary
| `digest() ⇒ ?Array.<number>`
| `getHmac(?Array.<number> message) ⇒ ?Array` Calculates an HMAC for a given message.
| `initialize_(?Array.<number> key)` Initializes Hmac by precalculating the inner and outer paddings.
| `reset()` Resets the internal accumulator.
| `update((Array.<number>|Uint8Array|null|string) bytes, number= opt_length)` Adds a byte array (array with values in [0-255] range) or a string (might only contain 8-bit, i.e., Latin1 characters) to the internal accumulator.